<div id='root'></div>
<script src='https://unpkg.com/react@16/umd/react.development.js'></script>
<script src='https://unpkg.com/react-dom@16/umd/react-dom.development.js'></script>
<script src='https://unpkg.com/babel-standalone@6.26.0/babel.js'></script>
<style>
  .box {
    border: 1px solid black;
    margin: 20px;
  }
  
  .box--shadowed {
    box-shadow: 3px 4px 3px gray;
  }

  /* Sizing classes */
  .box--small { width: 50px; height: 50px; }
  .box--medium { width: 100px; height: 100px; }
  .box--large { width: 150px; height: 150px; }
</style>
<script type='text/babel'>
  const root = document.getElementById('root')
  const Box = ({size, style, className, ...others}) => {
    const sizeClassName = size ? `box--${size}`: ''
    return (
      <div
        className={`box ${className} ${sizeClassName}`.trim()}
        style={{padding: 20, ...style}}
        {...others}
      />
    )
  }
  const elements = (
    <div>
      <Box
        size='small'
        style={{
          backgroundColor: 'blue',
          color: 'white'
        }}
      >
        Small box
      </Box>

      <Box
        size='medium'
        className='box--shadowed'
        style={{
          backgroundColor: 'orange',
          color: 'white'
        }}
      >
        Medium box
      </Box>

      <Box
        size='large'
        style={{
          backgroundColor: 'green',
          color: 'white'
        }}
      >
        Large box
      </Box>
    </div>
  )
  ReactDOM.render(elements, root)
</script>